using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using Microsoft.TeamFoundation.Build.Client;
using Microsoft.TeamFoundation.Build.Workflow.Activities;
using System.IO;

namespace Benday.TeamBuild2012.Activities
{
    [BuildActivity(HostEnvironmentOption.Agent)]
    public sealed class IisReset : CommandActivity
    {
        public override string ActivityName
        {
            get { return "IisReset"; }
        }

        protected override void Execute(CodeActivityContext context)
        {
            try
            {
                LogDebugMessage(context, "Calling iisreset.exe...");

                RunCommand(context, "cmd.exe", "/C iisreset.exe", "Call to iisreset.exe");

                LogUsefulMessage(context, "Called iisreset.exe.");
            }
            catch (Exception ex)
            {
                LogException(context, ex);
            }
        }
    }
}
