using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using Microsoft.TeamFoundation.Build.Client;
using Microsoft.TeamFoundation.Build.Workflow.Tracking;
using Microsoft.TeamFoundation.Build.Workflow.Activities;

namespace Benday.TeamBuild2012.Activities
{
    public sealed class LogUtility
    {
        public static void WriteToLog(
            CodeActivityContext context,
            string message,
            BuildMessageImportance importance)
        {
            var buildInfo =
                new BuildInformationRecord<BuildMessage>();

            BuildMessage newBuildMessage = new BuildMessage();

            newBuildMessage.Importance = importance;
            newBuildMessage.Message = message;

            buildInfo.Value = newBuildMessage;

            context.Track(buildInfo);
        }

       
    }
}
