﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;

namespace Benday.TeamBuild2012.UnitTests
{
    // If you don't want the Result argument remove <string> and use NativeActivity
    public sealed class TestActivity : NativeActivity<string>
    {
        // Define an activity input argument of type string
        public InArgument<string> Text { get; set; }

        protected override void Execute(NativeActivityContext context)
        {
            // Obtain the runtime value of the Text input argument
            string text = context.GetValue(this.Text);

            Result.Set(context, string.Format("The text is {0}", text));
        }
    }
}
