using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;

namespace Benday.TeamBuild2012.Activities
{
    public static class XmlUtility
    {
        public static void UpdateValueIfNewValueIsNotNull(XElement element, string attributeName, string attributeValue)
        {
            if (attributeValue == null)
            {
                // nothing to do
                return;
            }

            if (element == null)
            {
                throw new ArgumentNullException("element", "Argument cannot be null.");
            }

            if (attributeName == null)
            {
                throw new ArgumentNullException("attributeName", "Argument cannot be null.");
            }

            element.SetAttributeValue(attributeName, attributeValue);
        }
    }
}
